Update Trace
curl --request PATCH \
--url https://api.pandaprobe.com/traces/{trace_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"input": null,
"output": null,
"metadata": {},
"ended_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"user_id": "<string>",
"tags": [
"<string>"
],
"environment": "<string>",
"release": "<string>"
}
'import requests
url = "https://api.pandaprobe.com/traces/{trace_id}"
payload = {
"name": "<string>",
"input": None,
"output": None,
"metadata": {},
"ended_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"user_id": "<string>",
"tags": ["<string>"],
"environment": "<string>",
"release": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
input: null,
output: null,
metadata: {},
ended_at: '2023-11-07T05:31:56Z',
session_id: '<string>',
user_id: '<string>',
tags: ['<string>'],
environment: '<string>',
release: '<string>'
})
};
fetch('https://api.pandaprobe.com/traces/{trace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/traces/{trace_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"input\": null,\n \"output\": null,\n \"metadata\": {},\n \"ended_at\": \"2023-11-07T05:31:56Z\",\n \"session_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"environment\": \"<string>\",\n \"release\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "PENDING",
"input": null,
"output": null,
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"session_id": "<string>",
"user_id": "<string>",
"tags": [
"<string>"
],
"environment": "<string>",
"release": "<string>",
"spans": [
{
"span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "AGENT",
"status": "UNSET",
"input": null,
"output": null,
"model": "<string>",
"token_usage": {},
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"error": "<string>",
"completion_start_time": "<string>",
"model_parameters": {},
"cost": {},
"latency_ms": 123,
"time_to_first_token_ms": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Traces
Update Trace
Partially update a trace.
Only fields present in the request body are touched. Sending
"session_id": null explicitly clears the field; omitting
session_id entirely leaves it unchanged. metadata is
shallow-merged with existing values.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
PATCH
/
traces
/
{trace_id}
Update Trace
curl --request PATCH \
--url https://api.pandaprobe.com/traces/{trace_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"input": null,
"output": null,
"metadata": {},
"ended_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"user_id": "<string>",
"tags": [
"<string>"
],
"environment": "<string>",
"release": "<string>"
}
'import requests
url = "https://api.pandaprobe.com/traces/{trace_id}"
payload = {
"name": "<string>",
"input": None,
"output": None,
"metadata": {},
"ended_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"user_id": "<string>",
"tags": ["<string>"],
"environment": "<string>",
"release": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
input: null,
output: null,
metadata: {},
ended_at: '2023-11-07T05:31:56Z',
session_id: '<string>',
user_id: '<string>',
tags: ['<string>'],
environment: '<string>',
release: '<string>'
})
};
fetch('https://api.pandaprobe.com/traces/{trace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/traces/{trace_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"input\": null,\n \"output\": null,\n \"metadata\": {},\n \"ended_at\": \"2023-11-07T05:31:56Z\",\n \"session_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"environment\": \"<string>\",\n \"release\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "PENDING",
"input": null,
"output": null,
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"session_id": "<string>",
"user_id": "<string>",
"tags": [
"<string>"
],
"environment": "<string>",
"release": "<string>",
"spans": [
{
"span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "AGENT",
"status": "UNSET",
"input": null,
"output": null,
"model": "<string>",
"token_usage": {},
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"error": "<string>",
"completion_start_time": "<string>",
"model_parameters": {},
"cost": {},
"latency_ms": 123,
"time_to_first_token_ms": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HTTPBearerApiKeyProjectIDProjectName
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Partial-update schema for a trace (all fields optional).
Maximum string length:
512High-level status of a trace.
Available options:
PENDING, RUNNING, COMPLETED, ERROR Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255Response
Successful Response
Public trace representation (single-item detail).
High-level status of a trace.
Available options:
PENDING, RUNNING, COMPLETED, ERROR Show child attributes
Show child attributes

